All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class IconRenderer

    com.sas.swing.visuals.tableview.IconRenderer

All Implemented Interfaces:
  Constants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants, javax.swing.table.TableCellRenderer

    public class IconRenderer

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.tableview.DefaultTableCellRenderer
`border, font, gettingRenderer, isSelected, locale, noFocusBorder, splitCharacter, transform, unselectedBackground, unselectedForeground`

Fields inherited from class com.sas.swing.visuals.LabelView
`alignmentMode, BLOCK, clipped, INDIVIDUAL, leadingContentOffset, lineGap, lineWrap, orientation, preferredSpanSize, replaceNewline, replaceTab, SPAN_FILL, tabSize, topContentOffset, wordWrap`

Fields inherited from interface com.sas.swing.Constants
`CENTER_BOTTOM, CENTER_LEADING, CENTER_LEFT, CENTER_RIGHT, CENTER_TOP, CENTER_TRAILING`

Constructor Summary
`IconRenderer()` Default Constructor, renderer used to display a `javax.swing.Icon`.

Method Summary
`void` | `setValue(java.lang.Object value)` Set the Icon to the given value if it is an instance of an Icon, otherwise sets teh icon to null

Methods inherited from class com.sas.swing.visuals.tableview.DefaultTableCellRenderer
`equals, firePropertyChange, getLocale, getSplitCharacter, getTableCellRendererComponent, getTransform, isOpaque, repaint, repaint, revalidate, setBackground, setBorder, setFont, setForeground, setLocale, setSelected, setSplitCharacter, setTransform, updateUI, validate`

Methods inherited from class com.sas.swing.visuals.LabelView
`checkHorizontalKey, checkVerticalKey, getAlignmentMode, getExtendedBeanInfo, getGapBetweenLines, getHorizontalAlignment, getHorizontalTextPosition, getLeadingContentOffset, getLineWrap, getOrientation, getPreferredSpanSize, getTabSize, getTopContentOffset, getUIClassID, getVerticalAlignment, getVerticalTextPosition, getWrapStyleWord, initializeLocalVars, isClipped, setAlignmentMode, setClipped, setGapBetweenLines, setHorizontalAlignment, setHorizontalTextPosition, setLeadingContentOffset, setLineWrap, setOrientation, setPreferredSpanSize, setTabSize, setTopContentOffset, setVerticalAlignment, setVerticalTextPosition, setWrapStyleWord`

Constructor Detail

### IconRenderer

    public IconRenderer()

  Default Constructor, renderer used to display a `javax.swing.Icon`.

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Set the Icon to the given value if it is an instance of an Icon, otherwise sets teh icon to null

  Overrides:
    `setValue` in class `DefaultTableCellRenderer`
  Parameters:
    `value` - the Icon to set
  See Also:
    `JLabel.setText(java.lang.String)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.